List permitted bots
GET
/v1/botsscope: bots:readRequires the bots:read scope and access to the requested bot.
Example
curl -X GET '$ORBCONTEXT_API_URL/v1/bots' \
-H "Authorization: Bearer $ORBCONTEXT_API_KEY"[
{
"id": "b_your_bot_id",
"name": "Support assistant",
"persona": "Be helpful and concise.",
"model": "default",
"temperature": 0.2,
"fallbackMessage": "I could not find that in the available knowledge.",
"suggestedQuestions": [
"How can you help?"
],
"useCase": "support",
"websiteUrl": null,
"hasLogo": false,
"createdAt": "2026-10-21T10:00:00.000Z"
}
]Responses
200400401402403404413415429500503
Only bots permitted by this key.
Error responses share one shape; see Errors & limits.
Get a bot
GET
/v1/bots/{botId}scope: bots:readRequires the bots:read scope and access to the requested bot.
Parameters
botIdpath · stringrequired | — |
Example
curl -X GET '$ORBCONTEXT_API_URL/v1/bots/{botId}' \
-H "Authorization: Bearer $ORBCONTEXT_API_KEY"{
"id": "b_your_bot_id",
"name": "Support assistant",
"persona": "Be helpful and concise.",
"model": "default",
"temperature": 0.2,
"fallbackMessage": "I could not find that in the available knowledge.",
"suggestedQuestions": [
"How can you help?"
],
"useCase": "support",
"websiteUrl": null,
"hasLogo": false,
"createdAt": "2026-10-21T10:00:00.000Z"
}Responses
200400401402403404413415429500503
Bot settings.
Error responses share one shape; see Errors & limits.